nRF51 SDK: ble_ans_alert_settings_t Struct Reference

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_ans_alert_settings_t Struct Reference
Alert Notification Service Client

Alert Notification Setting structure containing the supported alerts in the service. More...

`#include <ble_ans_c.h>`

## Data Fields

uint8_t | ans_simple_alert_support: 1
uint8_t | ans_email_support: 1
uint8_t | ans_news_support: 1
uint8_t | ans_notification_call_support: 1
uint8_t | ans_missed_call_support: 1
uint8_t | ans_sms_mms_support: 1
uint8_t | ans_voice_mail_support: 1
uint8_t | ans_schedule_support: 1
uint8_t | ans_high_prioritized_alert_support: 1
uint8_t | ans_instant_message_support: 1
uint8_t | reserved: 6

## Detailed Description

Alert Notification Setting structure containing the supported alerts in the service.

The structure contains bit fields describing which alerts that are supported: 0 = Unsupported 1 = Supported

## Field Documentation

uint8_t ble_ans_alert_settings_t::ans_email_support

Support for Alert when email messages arrives.

uint8_t ble_ans_alert_settings_t::ans_high_prioritized_alert_support

Support for Alert that should be handled as high priority.

uint8_t ble_ans_alert_settings_t::ans_instant_message_support

Support for Alert for incoming instant messages.

uint8_t ble_ans_alert_settings_t::ans_missed_call_support

Support for Missed call.

uint8_t ble_ans_alert_settings_t::ans_news_support

Support for News feeds such as RSS, Atom.

uint8_t ble_ans_alert_settings_t::ans_notification_call_support

Support for Incoming call.

uint8_t ble_ans_alert_settings_t::ans_schedule_support

Support for Alert occurred on calendar, planner.

uint8_t ble_ans_alert_settings_t::ans_simple_alert_support

Support for General text alert or non-text alert.

uint8_t ble_ans_alert_settings_t::ans_sms_mms_support

Support for SMS/MMS message arrives.

uint8_t ble_ans_alert_settings_t::ans_voice_mail_support

Support for Voice mail.

uint8_t ble_ans_alert_settings_t::reserved

Reserved for future use.